Bug 227386 - net-im/ejabberd port outdated
Summary: net-im/ejabberd port outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-09 09:59 UTC by post
Modified: 2018-04-23 03:51 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
ejabberd 18.03 diff (58.83 KB, patch)
2018-04-16 05:05 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description post 2018-04-09 09:59:15 UTC
18.03 is out: https://blog.process-one.net/ejabberd-18-03/
Comment 1 Ashish SHUKLA freebsd_committer 2018-04-16 05:05:40 UTC
Created attachment 192544 [details]
ejabberd 18.03 diff

I have prepared this diff. If you could try it, and provide me the feedback that'll be great. I'll find some time to test it and hopefully commit it next weekend, if it works fine.

HTH
Comment 2 post 2018-04-16 12:33:45 UTC
I'd like to try it but how do I apply the patch exactly?
Comment 3 post 2018-04-16 14:55:52 UTC
OK, I applied the patch like this:

cd /usr/ports
patch -p0 < /path/to/diff

And after that I tried the installation like this:

cd /usr/ports/net-im/ejabberd
portmaster .

The port is building just fine but I get these errors at the end:

===>  Installing for ejabberd-18.03
===>  Checking if ejabberd already installed
===>   Registering installation for ejabberd-18.03
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/LICENSE:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl.app:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_app.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_comp.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_comp_cg.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_comp_env.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_comp_locf.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_comp_peep.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_comp_vars.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_emul.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_basic.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_bit32.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_debug.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_io.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_math.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_os.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_package.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_string.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_string_format.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_lib_table.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_parse.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_scan.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/luerl_sup.beam:No such file or directory
pkg-static: Unable to access file /usr/ports/net-im/ejabberd/work/stage/usr/local/lib/erlang/lib/ejabberd-18.03/lib/luerl-0.3/ebin/ttdict.beam:No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/net-im/ejabberd
*** Error code 1

Stop.
make: stopped in /usr/ports/net-im/ejabberd

===>>> A backup package for ejabberd-18.01 should
       be located in /usr/ports/packages/portmaster-backup

===>>> Installation of ejabberd-18.03 (net-im/ejabberd) failed
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> net-im/ejabberd

This command has been saved to /tmp/portmasterfail.txt
Comment 4 post 2018-04-16 15:15:21 UTC
OK, the port is building if I check:

[ ] Tools        Build Development Tools

Otherwise, the luerl stuff seems to be missing.
Comment 5 commit-hook freebsd_committer 2018-04-23 03:50:57 UTC
A commit references this bug:

Author: ashish
Date: Mon Apr 23 03:50:29 UTC 2018
New revision: 468070
URL: https://svnweb.freebsd.org/changeset/ports/468070

Log:
  - Update to 18.03
  - Remove GRAPHICS option, it's now implicitly enabled in this version
  - Remove the patch corresponding to a dependency removed upstream
  - Thanks to reporter for help with testing

  PR:		227386
  Reported by:	post at zuglufttier dot de

Changes:
  head/net-im/ejabberd/Makefile
  head/net-im/ejabberd/distinfo
  head/net-im/ejabberd/files/patch-deps_fs_c__src_bsd_main.c
  head/net-im/ejabberd/files/pkg-install.in
  head/net-im/ejabberd/pkg-plist
Comment 6 Ashish SHUKLA freebsd_committer 2018-04-23 03:51:42 UTC
Committed, thanks for testing.